---
title: "1.24.0 - Arm64, Fleet and SDK Bug Fixes"
linkTitle: "1.24.0"
date: "2022-06-21"
---
This is the 1.24.0 Release of Agones.

This release has lots of important bug fixes and documentation. This includes:
* ARM64 image for the simple-game-server example.
* Fix for scaling a fleet when a game server is allocated from an older version.
* Fix for sdkServer.logLevel nil in Gameserver in local-mode.
* sdkServer.logLevel in Gameserver config can now be used in local mode.

We also believe we've fixed all the issues with running on ARM64 clusters with this release, so please give a try.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.24.0-rc">README</a> for details on features, installation and usage.

**Implemented enhancements:**

- Add metric for number of reserved replicas in a fleet [\#2609](https://github.com/googleforgames/agones/issues/2609)
- Make batchWaitTime configurable in the Allocator [\#2586](https://github.com/googleforgames/agones/issues/2586)
- Document how to use Informers and Listers to query Agones [\#1260](https://github.com/googleforgames/agones/issues/1260)
- Add docs for reserved replicas metric [\#2611](https://github.com/googleforgames/agones/pull/2611) ([markmandel](https://github.com/markmandel))
- Add metric for number of reserved replicas [\#2610](https://github.com/googleforgames/agones/pull/2610) ([govargo](https://github.com/govargo))
- e2e tests for arm64 simple game server [\#2604](https://github.com/googleforgames/agones/pull/2604) ([Ludea](https://github.com/Ludea))
- Ping arm img [\#2591](https://github.com/googleforgames/agones/pull/2591) ([Ludea](https://github.com/Ludea))
- Make Allocator batchWaitTime configurable [\#2589](https://github.com/googleforgames/agones/pull/2589) ([valentintorikian](https://github.com/valentintorikian))
- Added Agones Category to all UPROPERTY macro [\#2587](https://github.com/googleforgames/agones/pull/2587) ([Dinhh1](https://github.com/Dinhh1))
- Add Document about Informers and Listers [\#2579](https://github.com/googleforgames/agones/pull/2579) ([govargo](https://github.com/govargo))
- Update Rust SDK build image [\#2635](https://github.com/googleforgames/agones/pull/2635) ([markmandel](https://github.com/markmandel))


Documentation: https://development.agones.dev/site/

See <a href="https://github.com/googleforgames/agones/blob/release-1.24.0/CHANGELOG.md">CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.24.0](https://gcr.io/agones-images/agones-controller:1.24.0)
- [gcr.io/agones-images/agones-sdk:1.24.0](https://gcr.io/agones-images/agones-sdk:1.24.0)
- [gcr.io/agones-images/agones-ping:1.24.0](https://gcr.io/agones-images/agones-ping:1.24.0)
- [gcr.io/agones-images/agones-allocator:1.24.0](https://gcr.io/agones-images/agones-allocator:1.24.0)
- [gcr.io/agones-images/allocation-endpoint-proxy:0.1](https://gcr.io/agones-images/allocation-endpoint-proxy:0.1)
- [gcr.io/agones-images/autoscaler-webhook:0.4](https://gcr.io/agones-images/autoscaler-webhook:0.4)
- [gcr.io/agones-images/cpp-simple-server:0.15](https://gcr.io/agones-images/cpp-simple-server:0.15)
- [gcr.io/agones-images/crd-client:0.6](https://gcr.io/agones-images/crd-client:0.6)
- [gcr.io/agones-images/nodejs-simple-server:0.7](https://gcr.io/agones-images/nodejs-simple-server:0.7)
- [gcr.io/agones-images/rust-simple-server:0.11](https://gcr.io/agones-images/rust-simple-server:0.11)
- [gcr.io/agones-images/simple-game-server:0.13](https://gcr.io/agones-images/simple-game-server:0.13)
- [gcr.io/agones-images/supertuxkart-example:0.4](https://gcr.io/agones-images/supertuxkart-example:0.4)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/xonotic-example:0.8](https://gcr.io/agones-images/xonotic-example:0.8)


Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.24.0.tgz">
  <code>helm install agones agones/agones --version 1.24.0</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`