---
title: "1.25.0 - Release Candidate"
linkTitle: "1.25.0-rc"
date: "2022-07-26"
---
This is the 1.25.0-rc release of Agones.

This release has lots of enhancements and bug fixes. This includes:

* Move CustomFasSyncInterval to Beta.
* Move NodeExternalDNS to stable.
* Upgrade SuperTuxKart to 1.3.
* Upgrade Xonotic to 0.8.5.
* Add Alpha SDK support to the Unity SDK.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.25.0" data-proofer-ignore>README</a> for details on features, installation and usage.

**Implemented enhancements:**

- Upgrade Xonotic to 0.8.5 [\#2664](https://github.com/googleforgames/agones/issues/2664)
- End to end tests for SDKGracefulTermination [\#2647](https://github.com/googleforgames/agones/issues/2647)
- Move CustomFasSyncInterval to Beta [\#2646](https://github.com/googleforgames/agones/issues/2646)
- Move NodeExternalDNS to stable [\#2643](https://github.com/googleforgames/agones/issues/2643)
- Upgrade SuperTuxKart to 1.3 [\#2546](https://github.com/googleforgames/agones/issues/2546)
- Docs: How to do local container with sdk [\#2677](https://github.com/googleforgames/agones/pull/2677) ([markmandel](https://github.com/markmandel))
- upgrade xonotic version [\#2669](https://github.com/googleforgames/agones/pull/2669) ([mridulji](https://github.com/mridulji))
- NodeExternalDNS/stable [\#2660](https://github.com/googleforgames/agones/pull/2660) ([SaitejaTamma](https://github.com/SaitejaTamma))
- Move CustomFasSyncInterval to Beta [\#2654](https://github.com/googleforgames/agones/pull/2654) ([govargo](https://github.com/govargo))
- Support for Unity Alpha SDK [\#2600](https://github.com/googleforgames/agones/pull/2600) ([MaxHayman](https://github.com/MaxHayman))
Documentation: https://development.agones.dev/site/
{ end }

See <a href="https://github.com/googleforgames/agones/blob/release-1.25.0/CHANGELOG.md" data-proofer-ignore>CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.25.0](https://gcr.io/agones-images/agones-controller:1.25.0)
- [gcr.io/agones-images/agones-sdk:1.25.0](https://gcr.io/agones-images/agones-sdk:1.25.0)
- [gcr.io/agones-images/agones-ping:1.25.0](https://gcr.io/agones-images/agones-ping:1.25.0)
- [gcr.io/agones-images/agones-allocator:1.25.0](https://gcr.io/agones-images/agones-allocator:1.25.0)
- [gcr.io/agones-images/allocation-endpoint-proxy:0.1](https://gcr.io/agones-images/allocation-endpoint-proxy:0.1)
- [gcr.io/agones-images/autoscaler-webhook:0.4](https://gcr.io/agones-images/autoscaler-webhook:0.4)
- [gcr.io/agones-images/cpp-simple-server:0.15](https://gcr.io/agones-images/cpp-simple-server:0.15)
- [gcr.io/agones-images/crd-client:0.6](https://gcr.io/agones-images/crd-client:0.6)
- [gcr.io/agones-images/nodejs-simple-server:0.8](https://gcr.io/agones-images/nodejs-simple-server:0.8)
- [gcr.io/agones-images/rust-simple-server:0.11](https://gcr.io/agones-images/rust-simple-server:0.11)
- [gcr.io/agones-images/simple-game-server:0.13](https://gcr.io/agones-images/simple-game-server:0.13)
- [gcr.io/agones-images/supertuxkart-example:0.5](https://gcr.io/agones-images/supertuxkart-example:0.5)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/xonotic-example:0.8](https://gcr.io/agones-images/xonotic-example:0.8)


Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.25.0.tgz" data-proofer-ignore>
  <code>helm install agones agones/agones --version 1.25.0</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`
