---
title: "1.6.0 - Player Tracking, Kubernetes 1.15, Node.js SDK Updates"
linkTitle: "1.6.0"
date: "2020-05-26"
---
This is the v1.6.0 release of Agones.

This release includes **several breaking changes** to be aware of:

- Upgrade to required Kubernetes version to 1.15
- The Alpha Multi Cluster Allocator API has been renamed, refactored slightly and moved to Stable. 
  It is worth noting that Multi Cluster Allocation as a whole (installation, setup, etc) is still in beta, and may
  change in the future.
- The node.js SDK has switched to grpc-js. It should be backward compatible, but please let us know if there are issues.

We are also excited to have a new major feature release of Player Tracking - keep track of which players are
connected to you GameServers and what your GameServer capacities are!

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.6.0" >README</a> for details on features, installation and usage.

**Breaking changes:**

- Rename `PostAllocate` to `Allocate` in Multi Cluster Allocation Service [\#1331](https://github.com/googleforgames/agones/issues/1331)
- Proposal: Allocator service to return 400+ http status for failure  [\#1040](https://github.com/googleforgames/agones/issues/1040)
- Change the multi-cluster allocation API version to stable [\#1540](https://github.com/googleforgames/agones/pull/1540) ([pooneh-m](https://github.com/pooneh-m))
- Switch Node.js SDK grpc dependency to grpc-js [\#1529](https://github.com/googleforgames/agones/pull/1529) ([steven-supersolid](https://github.com/steven-supersolid))
- Change allocator gRPC response state to gRPC error status [\#1516](https://github.com/googleforgames/agones/pull/1516) ([pooneh-m](https://github.com/pooneh-m))
- Change rpc method from PostAllocate to Allocate [\#1513](https://github.com/googleforgames/agones/pull/1513) ([pooneh-m](https://github.com/pooneh-m))
- Update developer tooling to Kubernetes 1.15 [\#1486](https://github.com/googleforgames/agones/pull/1486) ([roberthbailey](https://github.com/roberthbailey))
- Update documentation describing when we will change the version of Kubernetes  that we support. [\#1477](https://github.com/googleforgames/agones/pull/1477) ([roberthbailey](https://github.com/roberthbailey))

**Implemented enhancements:**

- Change the multi-cluster allocation API version to stable [\#1534](https://github.com/googleforgames/agones/issues/1534)
- Proposal: For multi-cluster allocation move remote server CA to GameServerAllocationPolicy [\#1517](https://github.com/googleforgames/agones/issues/1517)
- Support annotations for ping services in the Helm chart [\#1491](https://github.com/googleforgames/agones/issues/1491)
- Switch Node.js SDK grpc dependency to grpc-js [\#1489](https://github.com/googleforgames/agones/issues/1489)
- Update to opencensus v0.22 [\#892](https://github.com/googleforgames/agones/issues/892)
- Player Tracking: REST SDK Reference [\#1570](https://github.com/googleforgames/agones/pull/1570) ([markmandel](https://github.com/markmandel))
- Player Tracking guide, and GameServer reference. [\#1569](https://github.com/googleforgames/agones/pull/1569) ([markmandel](https://github.com/markmandel))
- Player Tracking SDK Reference [\#1564](https://github.com/googleforgames/agones/pull/1564) ([markmandel](https://github.com/markmandel))
- Fleet Aggregate Player Tracking Logic [\#1561](https://github.com/googleforgames/agones/pull/1561) ([markmandel](https://github.com/markmandel))
- Add Third Party \> Libraries and Tools section [\#1558](https://github.com/googleforgames/agones/pull/1558) ([danieloliveira079](https://github.com/danieloliveira079))
- CRD values for Aggregate Player Tracking [\#1551](https://github.com/googleforgames/agones/pull/1551) ([markmandel](https://github.com/markmandel))
- Upgrade kubectl for e2e tests [\#1550](https://github.com/googleforgames/agones/pull/1550) ([markmandel](https://github.com/markmandel))
- Use ServerCA from GameServerAllocationPolicy instead of client secret ca.crt [\#1545](https://github.com/googleforgames/agones/pull/1545) ([pooneh-m](https://github.com/pooneh-m))
- E2E Tests for GameServer Player Tracking [\#1541](https://github.com/googleforgames/agones/pull/1541) ([markmandel](https://github.com/markmandel))
- REST SDK Conformance Tests [\#1537](https://github.com/googleforgames/agones/pull/1537) ([markmandel](https://github.com/markmandel))
- Upgrade client-go and related to 1.15 [\#1532](https://github.com/googleforgames/agones/pull/1532) ([markmandel](https://github.com/markmandel))
- Player Tracking Go SDK Conformance Tests [\#1527](https://github.com/googleforgames/agones/pull/1527) ([markmandel](https://github.com/markmandel))
- Update EKS Kubernetes version to 1.15 [\#1522](https://github.com/googleforgames/agones/pull/1522) ([aLekSer](https://github.com/aLekSer))
- Helm: add ping HTTP and UDP annotations into chart [\#1520](https://github.com/googleforgames/agones/pull/1520) ([aLekSer](https://github.com/aLekSer))
- PlayerConnect/Disconnect & related Go SDK functions [\#1519](https://github.com/googleforgames/agones/pull/1519) ([markmandel](https://github.com/markmandel))
- SDKServer Player Tracking implementation [\#1507](https://github.com/googleforgames/agones/pull/1507) ([markmandel](https://github.com/markmandel))
- Add PlayerTracking IDs to SDK Convert function [\#1498](https://github.com/googleforgames/agones/pull/1498) ([markmandel](https://github.com/markmandel))
- Add Event to Player Capacity update [\#1497](https://github.com/googleforgames/agones/pull/1497) ([markmandel](https://github.com/markmandel))
- Implementation of Local SDK Server Player Tracking [\#1496](https://github.com/googleforgames/agones/pull/1496) ([markmandel](https://github.com/markmandel))
- Code Gen and Stubs for updated Player Tracking [\#1493](https://github.com/googleforgames/agones/pull/1493) ([markmandel](https://github.com/markmandel))
- Terraform: update GKE cluster version, use locals and `lookup` to set default values [\#1482](https://github.com/googleforgames/agones/pull/1482) ([aLekSer](https://github.com/aLekSer))
- Changes in proto for Player Tracking design update [\#1481](https://github.com/googleforgames/agones/pull/1481) ([markmandel](https://github.com/markmandel))
- GameServer CRD with Updated Player Tracking [\#1476](https://github.com/googleforgames/agones/pull/1476) ([markmandel](https://github.com/markmandel))
- Added a pull request template [\#1471](https://github.com/googleforgames/agones/pull/1471) ([akremsa](https://github.com/akremsa))
- Update the agones-allocator doc to recommend using cert-manager [\#1459](https://github.com/googleforgames/agones/pull/1459) ([pooneh-m](https://github.com/pooneh-m))
- Add a simple helm test [\#1449](https://github.com/googleforgames/agones/pull/1449) ([aLekSer](https://github.com/aLekSer))
- Pass FEATURE\_GATES flag to e2e tests [\#1445](https://github.com/googleforgames/agones/pull/1445) ([akremsa](https://github.com/akremsa))
- Add validation for CPU and Memory Resources for GameServers, Fleets and GameServerSets [\#1423](https://github.com/googleforgames/agones/pull/1423) ([aLekSer](https://github.com/aLekSer))

See <a href="https://github.com/googleforgames/agones/blob/release-1.6.0/CHANGELOG.md" >CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.6.0](https://gcr.io/agones-images/agones-controller:1.6.0)
- [gcr.io/agones-images/agones-sdk:1.6.0](https://gcr.io/agones-images/agones-sdk:1.6.0)
- [gcr.io/agones-images/agones-ping:1.6.0](https://gcr.io/agones-images/agones-ping:1.6.0)
- [gcr.io/agones-images/agones-allocator:1.6.0](https://gcr.io/agones-images/agones-allocator:1.6.0)
- [gcr.io/agones-images/cpp-simple-server:0.12](https://gcr.io/agones-images/cpp-simple-server:0.12)
- [gcr.io/agones-images/nodejs-simple-server:0.4](https://gcr.io/agones-images/nodejs-simple-server:0.4)
- [gcr.io/agones-images/rust-simple-server:0.7](https://gcr.io/agones-images/rust-simple-server:0.7)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/udp-server:0.21](https://gcr.io/agones-images/udp-server:0.21)
- [gcr.io/agones-images/tcp-server:0.4](https://gcr.io/agones-images/tcp-server:0.4)
- [gcr.io/agones-images/xonotic-example:0.8](https://gcr.io/agones-images/xonotic-example:0.8)
- [gcr.io/agones-images/supertuxkart-example:0.2](https://gcr.io/agones-images/supertuxkart-example:0.2)
- [gcr.io/agones-images/crd-client:0.3](https://gcr.io/agones-images/crd-client:0.3)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.6.0.tgz" >
  <code>helm install agones/agones --version 1.6.0</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`
